Bug 1378297 - SELinux is preventing gdm-session-wor from 'view' accesses on the key Unknown.
Summary: SELinux is preventing gdm-session-wor from 'view' accesses on the key Unknown.
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:de5cb7ba80537bf65dceea7f2ae...
Keywords: Reopened
: 1381164 1388182 1389874 1391817 1397587 1398426 1404523 1411117 1413709 1417354 1430227 1430400 1439461 1443912 1452912 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-22 04:10 UTC by Joachim Frieben
Modified: 2017-12-12 10:10 UTC (History)
39 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:10:02 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2016-09-22 04:10:56 UTC
Description of problem:
SELinux is preventing gdm-session-wor from 'view' accesses on the key Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gdm-session-wor should be allowed view access on the Unknown key by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gdm-session-wor' --raw | audit2allow -M my-gdmsessionwor
# semodule -X 300 -i my-gdmsessionwor.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ key ]
Source                        gdm-session-wor
Source Path                   gdm-session-wor
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-214.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.8.0-0.rc6.git0.1.fc25.x86_64 #1
                              SMP Mon Sep 12 19:16:54 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-09-22 04:08:11 EDT
Last Seen                     2016-09-22 04:08:11 EDT
Local ID                      d54a30fe-54bb-4794-97cb-99bfaf8fae02

Raw Audit Messages
type=AVC msg=audit(1474531691.797:135): avc:  denied  { view } for  pid=1122 comm="gdm-session-wor" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=key permissive=1


Hash: gdm-session-wor,xdm_t,kernel_t,key,view

Version-Release number of selected component:
selinux-policy-3.13.1-214.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.0-0.rc6.git0.1.fc25.x86_64
type:           libreport

Comment 1 Fedora Admin XMLRPC Client 2016-09-27 15:03:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Adam Williamson 2016-10-01 02:08:46 UTC
Description of problem:
Happens on boot of a current Fedora 25 nightly Workstation live image.

Version-Release number of selected component:
selinux-policy-3.13.1-214.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.0-0.rc7.git0.1.fc25.x86_64
type:           libreport

Comment 3 Alexander Mayorov 2016-10-03 10:03:05 UTC
*** Bug 1381164 has been marked as a duplicate of this bug. ***

Comment 4 M. Edward (Ed) Borasky 2016-10-04 18:36:20 UTC
Description of problem:
Booted up Fedora 25 nightly from 20161003. Selected "try Fedora". 

Version-Release number of selected component:
selinux-policy-3.13.1-214.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.0-0.rc7.git0.1.fc25.x86_64
type:           libreport

Comment 5 Luya Tshimbalanga 2016-10-11 17:16:32 UTC
Description of problem:
Possible setting automatic login session.

Version-Release number of selected component:
selinux-policy-3.13.1-218.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.1-1.fc25.x86_64
type:           libreport

Comment 6 Miroslav Grepl 2016-10-13 08:48:58 UTC
It looks we have again labeling issues on Live images.

Could you guys add your output of

# ps -efZ |grep kernel_t |grep gnome

Comment 7 Joachim Frieben 2016-10-13 15:31:47 UTC
(In reply to Miroslav Grepl from comment #6)
The output is empty.

Comment 8 Miroslav Grepl 2016-10-17 08:09:55 UTC
Adam,
could you point me to the image?

Comment 9 Adam Williamson 2016-10-18 00:02:28 UTC
mgrepl: you can always find current nightlies from my nightly finder:

https://www.happyassassin.net/nightlies.html

Comment 10 hamedmemar 2016-10-24 16:55:18 UTC
*** Bug 1388182 has been marked as a duplicate of this bug. ***

Comment 11 Oliver Jan Krylow 2016-10-29 07:27:01 UTC
*** Bug 1389874 has been marked as a duplicate of this bug. ***

Comment 12 Garry Goff 2016-11-04 06:30:00 UTC
*** Bug 1391817 has been marked as a duplicate of this bug. ***

Comment 13 Nilesh 2016-11-22 21:34:37 UTC
*** Bug 1397587 has been marked as a duplicate of this bug. ***

Comment 14 Robert Hancock 2016-11-25 01:58:03 UTC
This is happening for me on a regular install, not a live image. Automatic login is enabled in gdm however.

Comment 15 Lukas Vrabec 2016-11-25 09:35:21 UTC

*** This bug has been marked as a duplicate of bug 1398426 ***

Comment 16 Joachim Frieben 2016-11-25 10:12:46 UTC
*** Bug 1398426 has been marked as a duplicate of this bug. ***

Comment 17 Mikhail 2016-11-25 18:21:21 UTC
Description of problem:
boot from USB stick and start Fedora 25 install

Version-Release number of selected component:
selinux-policy-3.13.1-224.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.6-300.fc25.x86_64
type:           libreport

Comment 18 astafievaa 2016-11-27 09:49:16 UTC
Description of problem:
fedora25 regular install. occured at startup

Version-Release number of selected component:
selinux-policy-3.13.1-224.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.8-300.fc25.x86_64
type:           libreport

Comment 19 bmck42682 2016-12-14 02:14:59 UTC
*** Bug 1404523 has been marked as a duplicate of this bug. ***

Comment 20 Jeff Needle 2016-12-18 11:58:14 UTC
Description of problem:
Happens at login every time and has been since installing F25

Version-Release number of selected component:
selinux-policy-3.13.1-225.3.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.14-300.fc25.x86_64
type:           libreport

Comment 21 ermakow 2017-01-08 14:20:46 UTC
*** Bug 1411117 has been marked as a duplicate of this bug. ***

Comment 22 Adam Williamson 2017-01-16 18:59:04 UTC
*** Bug 1413709 has been marked as a duplicate of this bug. ***

Comment 23 blasonariocremonese 2017-01-28 05:39:20 UTC
*** Bug 1417354 has been marked as a duplicate of this bug. ***

Comment 24 pmkellly 2017-02-16 14:18:51 UTC
I have what appears to be the same problem with installed Fedora 25. I have a walk up where there is no password assigned and the auto login is turned on. The error occurs at any reboot, but no other time. I have found that I can work around this by turning off the auto login. I don't have to add a password, just turn off the auto login. When the auto login is turned off the error does not reoccur. Updates are run on this machine everyday. For reference The kernel is: 4.9.9-200. I have pasted the error information below.
 

SELinux is preventing gdm-session-wor from view access on the key Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gdm-session-wor should be allowed view access on the Unknown key by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gdm-session-wor' --raw | audit2allow -M my-gdmsessionwor
# semodule -X 300 -i my-gdmsessionwor.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ key ]
Source                        gdm-session-wor
Source Path                   gdm-session-wor
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.6.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 4.9.9-200.fc25.x86_64
                              #1 SMP Thu Feb 9 17:28:13 UTC 2017 x86_64 x86_64
Alert Count                   6
First Seen                    2017-02-16 08:46:48 EST
Last Seen                     2017-02-16 08:46:48 EST
Local ID                      bd90787c-0594-4fea-a6c4-f0f5934dcd6d

Raw Audit Messages
type=AVC msg=audit(1487252808.82:136): avc:  denied  { view } for  pid=1019 comm="gdm-session-wor" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=key permissive=0


Hash: gdm-session-wor,xdm_t,kernel_t,key,view

Comment 25 Jason D. Clinton 2017-03-08 05:36:48 UTC
*** Bug 1430227 has been marked as a duplicate of this bug. ***

Comment 26 Lilicenco 2017-03-08 14:27:48 UTC
*** Bug 1430400 has been marked as a duplicate of this bug. ***

Comment 27 fred 2017-03-31 21:51:10 UTC
similar to https://bugzilla.redhat.com/show_bug.cgi?id=1405767?

Comment 28 Ram Kumar 2017-04-06 05:38:40 UTC
*** Bug 1439461 has been marked as a duplicate of this bug. ***

Comment 29 j8095243 2017-04-19 23:08:03 UTC
Description of problem:
I booted up the LiveCD. That's all I did!

Version-Release number of selected component:
selinux-policy-3.13.1-224.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.6-300.fc25.x86_64
type:           libreport

Comment 30 Katies Aura 2017-04-20 08:52:06 UTC
*** Bug 1443912 has been marked as a duplicate of this bug. ***

Comment 31 Jeremy 2017-05-20 04:42:45 UTC
*** Bug 1452912 has been marked as a duplicate of this bug. ***

Comment 32 Fedora End Of Life 2017-11-16 19:43:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 33 Fedora End Of Life 2017-12-12 10:10:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.